<script setup>
defineProps({
  svgPath: { type: String, required: true, default: '' },
  title: { type: String, required: true, default: '' },
  text: { type: String, required: false, default: '' },
  buttonLabel: { type: String, required: false, default: '' },
  buttonLink: { type: String, required: false, default: '' },
});
</script>

<template>
  <div class="block-blue anct-bg-blue-darker">
    <div class="block__content fr-container fr-grid-row fr-pt-11w">
      <div class="block__content--text fr-col-12 fr-col-lg-7 fr-mb-6w fr-pr-6w">
        <h1 class="fr-h1 anct-text-white">{{ title }}</h1>
        <p class="fr-mb-8v fr-text--xl anct-text-white">
          <slot name="text">{{ text }}</slot>
        </p>
        <NuxtLink v-if="buttonLabel" :to="buttonLink" class="fr-btn fr-btn--secondary anct-bg-white"> {{ buttonLabel }} </NuxtLink>
      </div>
      <img class="block__content--img" :src="svgPath" alt="" />
    </div>
  </div>
</template>

<style lang="scss">
.block-blue {
  .block__content {
    position: relative;
    min-height: 417px;
  }
  .block__content--img {
    float: left;
    position: absolute;
    right: 0px;
    bottom: 0px;
    z-index: 1000;
  }
}

@media screen and (max-width: 1024px) {
  .block-blue {
    .block__content--img {
      right: 0;
    }
  }
}

@media screen and (max-width: 999px) {
  .block-blue {
    .block__content--text {
      padding-right: 0 !important;
    }
    .block__content--img {
      display: none;
    }
  }
}
</style>
